mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true) To be added

Enables communication with a debugger. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Call the static methods directly on this type", true)
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  If no debugger is attached, users are asked if they want to attach a debugger. If yes, the debugger is started. If a debugger is attached, the debugger is signaled with a user breakpoint event, and the debugger suspends execution of the process just as if a debugger breakpoint had been hit.

  Signals a breakpoint to an attached debugger.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The value of this default constant is null. is used by .

  Represents the default category of message with a constant.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether a debugger is attached to the process.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Checks to see if logging is enabled by an attached debugger.

  true if a debugger is attached and logging is enabled; otherwise, false. The attached debugger is the registered managed debugger in the DbgManagedDebugger registry key. For more information on this key, see [<topic://cpconenablingjit-attachdebugging>].

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  If a debugger is already attached, nothing happens.

  Launches and attaches a debugger to the process.

  true if the startup is successful or if the debugger is already attached; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  If there is no debugger attached, this method has no effect. The debugger might or might not report the message, depending upon its settings.

  The category parameter is limited to 256 characters. Strings longer than 256 characters are truncated.

  Posts a message for the attached debugger.

  A description of the importance of the message. The category of the message. The message to show.